use crate::CheckState;

#[derive(Clone, Copy)]
pub struct Play {
    pub source:u8,
    pub from:u8,
    pub to:u8,
}
impl Play {
    pub fn new() -> Self
    {
        Self {
            source:0,
            from:0,
            to:0,
        }
    }

    pub fn from_move(from:u8, to:u8) -> Self
    {
        Self {
            source:0,
            from,
            to,
        }
    }

    pub fn from_alt(from:u8, to:u8) -> Self
    {
        Self {
            source:2,
            from,
            to,
        }
    }

    pub fn from_drop(piece:u8, tile:u8) -> Self
    {
        Self {
            source:1,
            from:piece,
            to:tile,
        }
    }
}

#[derive(Clone, Copy)]
pub struct PlayInfo {
    pub play:Play,
    pub check:CheckState,
    pub blocking:u32,
}
